step_center {recipes} | R Documentation

## Centering Numeric Data

### Description

`step_center` creates a specification of a recipe step that will normalize numeric data to have a mean of zero.

### Usage

    step_center(recipe, ..., role = NA, trained = FALSE, means = NULL,
      na_rm = TRUE, skip = FALSE, id = rand_id("center"))

    ## S3 method for class 'step_center'
    tidy(x, ...)

### Arguments

`recipe` | A recipe object. The step will be added to the sequence of operations for this recipe.
`...` | One or more selector functions to choose which variables are affected by the step. See `selections()` for more details. For the `tidy` method, these are not currently used.
`role` | Not used by this step since no new variables are created.
`trained` | A logical to indicate if the quantities for preprocessing have been estimated.
`means` | A named numeric vector of means. This is `NULL` until computed by `prep.recipe()`.
`na_rm` | A logical value indicating whether `NA` values should be removed during computations.
`skip` | A logical. Should the step be skipped when the recipe is baked by `bake.recipe()`? While all operations are baked when `prep.recipe()` is run, some operations may not be able to be conducted on new data (e.g. processing the outcome variable(s)). Care should be taken when using `skip = TRUE` as it may affect the computations for subsequent operations
`id` | A character string that is unique to this step to identify it.
`x` | A `step_center` object.

### Details

Centering data means that the average of a variable is subtracted from the data. `step_center` estimates the variable means from the data used in the `training` argument of `prep.recipe`. `bake.recipe` then applies the centering to new data sets using these means.

### Value

An updated version of `recipe` with the new step added to the sequence of existing steps (if any). For the `tidy` method, a tibble with columns `terms` (the selectors or variables selected) and `value` (the means).

### See Also

`recipe()` `prep.recipe()` `bake.recipe()`

### Examples

    data(biomass)

    biomass_tr <- biomass[biomass$dataset == "Training",]
    biomass_te <- biomass[biomass$dataset == "Testing",]

    rec <- recipe(HHV ~ carbon + hydrogen + oxygen + nitrogen + sulfur,
                  data = biomass_tr)

    center_trans <- rec %>%
      step_center(carbon, contains("gen"), -hydrogen)

    center_obj <- prep(center_trans, training = biomass_tr)

    transformed_te <- bake(center_obj, biomass_te)

    biomass_te[1:10, names(transformed_te)]
    transformed_te

    tidy(center_trans, number = 1)
    tidy(center_obj, number = 1)

[Package recipes version 0.1.5 Index]